> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instalment portions



## OpenAPI

````yaml instalment get /v1/{instalmentId}/portions
openapi: 3.0.3
info:
  description: Endpoint for manipulating instalments
  version: '1'
  title: Instalment API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/instalment
    description: Live environment
security:
  - basicAuth: []
paths:
  /v1/{instalmentId}/portions:
    get:
      tags:
        - Instalment Operations
      summary: Get instalment portions
      operationId: getInstalmentPortions
      parameters:
        - $ref: '#/components/parameters/AuditUser'
        - name: instalmentId
          in: path
          description: The instalment id
          required: true
          schema:
            $ref: '#/components/schemas/instalmentId'
        - $ref: '#/components/parameters/SearchPage'
        - $ref: '#/components/parameters/SearchSize'
        - name: filter
          in: query
          description: >
            Filter for instalment portion status. Supported operations: `eq`,
            `or`.        Example: `(status eq WAITING or status eq
            OVERDUE)`        Note: You must URL-encode parentheses and spaces.
          schema:
            type: string
      responses:
        '200':
          description: List of instalment portions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getInstalmentPortionsPaginatedResponse'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          $ref: '#/components/responses/InstalmentNotFoundError'
        '500':
          $ref: '#/components/responses/error500'
      deprecated: false
components:
  parameters:
    AuditUser:
      name: auditUser
      in: query
      description: The audit user to log the request
      required: true
      schema:
        type: string
    SearchPage:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 0
        minimum: 0
      description: Current page
    SearchSize:
      name: size
      in: query
      required: false
      schema:
        type: integer
        default: 30
        minimum: 1
        exclusiveMinimum: false
        maximum: 100
        exclusiveMaximum: false
      description: >-
        How many entries should be returned per page, default is 30. Cannot be
        more than 100.
  schemas:
    instalmentId:
      type: string
      description: Instalment id
      example: '678543'
    getInstalmentPortionsPaginatedResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/pagination'
        data:
          type: array
          items:
            $ref: '#/components/schemas/getInstalmentPortionResponse'
    pagination:
      type: object
      properties:
        page:
          type: integer
          description: Current page
          example: 1
        pages:
          type: integer
          description: Total number of pages
          example: 7
        elements:
          type: integer
          description: Total number of objects
          example: 15
        size:
          type: integer
          description: Page size
          example: 1
    getInstalmentPortionResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/portionId'
        index:
          $ref: '#/components/schemas/portionIndex'
        total:
          $ref: '#/components/schemas/portionTotal'
        openDate:
          $ref: '#/components/schemas/openDate'
        dueDate:
          $ref: '#/components/schemas/dueDate'
        currency:
          $ref: '#/components/schemas/currency'
        amount:
          $ref: '#/components/schemas/portionAmount'
        principalAmount:
          $ref: '#/components/schemas/principalAmount'
        feeAmount:
          $ref: '#/components/schemas/feeAmount'
          description: The fee amount. Please use `interestAmount` instead
        interestAmount:
          $ref: '#/components/schemas/interestAmount'
        paidAmount:
          $ref: '#/components/schemas/paidAmount'
        interestPaidAmount:
          $ref: '#/components/schemas/interestPaidAmount'
        principalPaidAmount:
          $ref: '#/components/schemas/principalPaidAmount'
        writtenOffAmount:
          $ref: '#/components/schemas/writtenOffAmount'
        reversed:
          $ref: '#/components/schemas/reversed'
        instalmentId:
          $ref: '#/components/schemas/instalmentId'
        status:
          $ref: '#/components/schemas/status'
          description: The status of the instalment portion
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
          enum:
            - INSTALMENT_API_ERROR
            - INSTALMENT_API-ACCOUNT_NOT_FOUND
            - INSTALMENT_API-TRANSACTION_NOT_FOUND
            - INSTALMENT_API-ALREADY_EXIST
            - INSTALMENT_API-INSTALMENT_NOT_FOUND
            - INSTALMENT_API-INVALID_TENOR
            - INSTALMENT_API-INSTALMENT_CANNOT_BE_CLOSED
            - INSTALMENT_API-ALREADY_CLOSED
            - INSTALMENT_API-REVISED_INSTALMENT_CANNOT_BE_CLOSED
            - INSTALMENT_API-TRANSACTION_TYPE_NOT_ALLOWED
            - INSTALMENT_API-INVALID_VALUE
            - INSTALMENT_API-INVALID_ENUM_VALUE
            - INSTALMENT_API-INVALID_TYPE
            - INSTALMENT_API-VALUE_OUT_OF_RANGE
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    portionId:
      type: string
      description: The instalment portion identifier
      example: 564233
    portionIndex:
      type: integer
      description: The current portion number
      example: 1
    portionTotal:
      type: integer
      example: 38
      description: The total number of portions
    openDate:
      type: string
      format: date
      description: The open date
    dueDate:
      type: string
      format: date
      description: The due date
    currency:
      type: string
      description: The currency of the instalment
      example: NOK
    portionAmount:
      type: number
      description: The portion amount
    principalAmount:
      type: number
      description: The principal amount
      example: 1000
    feeAmount:
      type: number
      description: The fee amount. Please use `interest.interestAmount` instead
      example: 10
      deprecated: true
    interestAmount:
      type: number
      description: The predicted interest
      example: 90
    paidAmount:
      type: number
      description: The paid amount.
      example: 20
    interestPaidAmount:
      type: number
      description: The interest paid amount
      example: 20.57
    principalPaidAmount:
      type: number
      description: The principal paid amount
      example: 500
    writtenOffAmount:
      type: number
      description: The written-off amount. Please use `reversed` instead
      deprecated: true
      example: 1000
    reversed:
      type: number
      description: The reversed amount
      example: 1000
    status:
      type: string
      enum:
        - INACTIVE
        - WAITING
        - OPEN
        - PAID
        - PAID_PARTIALLY
        - OVERDUE
        - REVISED
        - CLOSED
  responses:
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    InstalmentNotFoundError:
      description: Instalment not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
  securitySchemes:
    basicAuth:
      type: http
      description: >-
        Basic authentication is used to authenticate towards Enfuce API. It is
        described in more detail in RFC 7617.
      scheme: basic

````